com.collabnet.ce.soap60.webservices.cemain

## Class ProjectGroupSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ProjectGroupSoapRow

-     public class ProjectGroupSoapRow
      extends Object

  ProjectGroupList is used to get a list of project groups.
  Since:
    6.0.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectGroupSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDateCreated()` Returns 'dateCreated'.
    `String` | `getDescription()` Returns 'description'.
    `String` | `getId()` Returns 'id'.
    `int` | `getMemberProjects()` Returns 'memberProjects'.
    `String` | `getPath()` Returns 'path'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDateCreated(Date dateCreated)` Sets 'dateCreated'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setMemberProjects(int memberProjects)` Sets 'memberProjects'.
    `void` | `setPath(String path)` Sets 'path'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectGroupSoapRow

          public ProjectGroupSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The id of the project group
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The id of the project group
      Parameters:
        `id` - Value of 'id'.

    - #### getPath

          public String getPath()

      Returns 'path'. The path of the project group
      Returns:
        Value of 'path'.

    - #### setPath

          public void setPath(String path)

      Sets 'path'. The path of the project group
      Parameters:
        `path` - Value of 'path'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the project group
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the project group
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The detailed description of the project group
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The detailed description of the project group
      Parameters:
        `description` - Value of 'description'.

    - #### getDateCreated

          public Date getDateCreated()

      Returns 'dateCreated'. The date the project group was created
      Returns:
        Value of 'dateCreated'.

    - #### setDateCreated

          public void setDateCreated(Date dateCreated)

      Sets 'dateCreated'. The date the project group was created
      Parameters:
        `dateCreated` - Value of 'dateCreated'.

    - #### getMemberProjects

          public int getMemberProjects()

      Returns 'memberProjects'. Member projects count
      Returns:
        Value of 'memberProjects'.

    - #### setMemberProjects

          public void setMemberProjects(int memberProjects)

      Sets 'memberProjects'. Member projects count
      Parameters:
        `memberProjects` - Value of 'memberProjects'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.